import { requestPOST, requestGET } from "@/utils/request.js";

export default {
  queryProductInfo(data) {
    return requestPOST(`${process.env.OLSHOP_URL}/product/query_product_info`, data);
  },
  queryBriefProductInfo(data) {
    return requestPOST(`${process.env.OLSHOP_URL}/product/query_brief_product_info`, data);
  },
  queryMoreProductInfo(data) {
    return requestPOST(`${process.env.OLSHOP_URL}/product/query_more_product_info`, data);
  },
  //POST  查询规格名及对应的规格值信息
  query_specification_name_and_values_list(data) {
    return requestPOST(`${process.env.OLSHOP_URL}/product/query_specification_name_and_values_list`, data)
  },
  //查询商品品牌
  queryProductBrand(data) {
    return requestPOST(`${process.env.OLSHOP_URL}/product/query_brand_by_page`, data)
  },
};
